{"openapi":"3.1.1","info":{"title":"DNSimple API","version":"2.0.0","contact":{"name":"DNSimple Support","email":"support@dnsimple.com","url":"https://dnsimple.com/contact"},"description":"[DNSimple](https://dnsimple.com) provides DNS hosting and domain registration that is simple and friendly. We provide an extensive API and an easy-to-use web interface so you can get your domain registered and set up with a minimal amount of effort.","termsOfService":"https://dnsimple.com/terms"},"externalDocs":{"url":"https://developer.dnsimple.com"},"security":[{"basicAuth":[]},{"bearerAuth":[]}],"servers":[{"url":"https://api.dnsimple.com/v2","description":"DNSimple Production API","variables":{}},{"url":"https://api.sandbox.dnsimple.com/v2","description":"DNSimple Sandbox API used for testing"}],"tags":[{"name":"accounts"},{"name":"billing"},{"name":"contacts"},{"name":"domain certificates"},{"name":"domain dnssec"},{"name":"domain emailforwards"},{"name":"domain pushes"},{"name":"domain services"},{"name":"domains"},{"name":"identity"},{"name":"registrant changes"},{"name":"registrar"},{"name":"registrar delegation"},{"name":"registrar privacy"},{"name":"registrar registration"},{"name":"registrar renewal"},{"name":"registrar restore"},{"name":"registrar transfer"},{"name":"secondary dns"},{"name":"templates"},{"name":"tlds"},{"name":"vanity name servers"},{"name":"webhooks"},{"name":"zones"}],"paths":{"/accounts":{"get":{"description":"Lists the accounts the current authenticated entity has access to.","parameters":[],"operationId":"listAccounts","tags":["accounts"],"responses":{"200":{"description":"Depending on how you are authenticated you will see all the accounts you have access to or the account you used to authenticate.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Account"}}}}}}}},"summary":"List accounts"}},"/whoami":{"get":{"description":"Retrieves the details about the current authenticated entity used to access the API.","parameters":[],"operationId":"whoami","tags":["identity"],"responses":{"200":{"description":"Successful response with user or account.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"oneOf":[{"type":"object","required":["account","user"],"properties":{"account":{"$ref":"#/components/schemas/Account"},"user":{"type":["object","null"]}}},{"type":"object","required":["account","user"],"properties":{"user":{"$ref":"#/components/schemas/User"},"account":{"type":["object","null"]}}}]}}}}}},"401":{"$ref":"#/components/responses/401"},"429":{"$ref":"#/components/responses/429"},"default":{"$ref":"#/components/responses/Error"}},"summary":"Whoami"}},"/oauth/access_token":{"post":{"summary":"Exchange authorization code for access token","description":"Exchanges an OAuth 2.0 authorization code for an access token.\nUsed in the authorization code grant flow.","operationId":"oauthToken","tags":["identity"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["client_id","client_secret","code","grant_type","redirect_uri","state"],"properties":{"client_id":{"type":"string"},"client_secret":{"type":"string"},"code":{"type":"string"},"grant_type":{"type":"string","example":"authorization_code"},"redirect_uri":{"type":"string","description":"Must match the redirect_uri from the authorization request (used for validation only)."},"state":{"type":"string","description":"Must match the state from the authorization request."}}}}}},"responses":{"200":{"description":"Access token issued.","content":{"application/json":{"schema":{"type":"object","properties":{"access_token":{"type":"string"},"token_type":{"type":"string","example":"bearer"},"scope":{"type":["string","null"]},"account_id":{"type":"integer"}}}}}},"400":{"description":"Invalid or expired code, invalid client credentials, or redirect_uri/state mismatch.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","description":"Error code per OAuth 2.0 spec (e.g. invalid_request)."},"error_description":{"type":"string","description":"Human-readable description of the error."}}}}}}}}},"/{account}/billing/charges":{"get":{"description":"Lists the billing charges for the account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/FilterStartDate"},{"$ref":"#/components/parameters/FilterEndDate"},{"$ref":"#/components/parameters/SortCharges"}],"operationId":"listCharges","tags":["billing"],"summary":"List billing charges","responses":{"200":{"content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Charge"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}},"description":"Billing charges listing."},"401":{"$ref":"#/components/responses/401"},"429":{"$ref":"#/components/responses/429"}}}},"/{account}/domains":{"get":{"description":"Lists the domains in the account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/FilterNameLike"},{"$ref":"#/components/parameters/FilterRegistrantId"},{"$ref":"#/components/parameters/SortDomains"}],"operationId":"listDomains","tags":["domains"],"summary":"List domains","responses":{"200":{"content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Domain"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}},"description":"Domain listing."}}},"post":{"summary":"Create a domain","description":"Creates a domain and the corresponding zone into the account.\n\nWhen creating a domain using Solo or Teams subscription, the DNS services\nfor the zone will be automatically enabled and this will be charged on your\nfollowing subscription renewal invoices.","parameters":[{"$ref":"#/components/parameters/Account"}],"operationId":"createDomain","tags":["domains"],"requestBody":{"$ref":"#/components/requestBodies/DomainCreate"},"responses":{"201":{"description":"Domain created.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Domain"}}}}}},"400":{"$ref":"#/components/responses/400"}}}},"/{account}/domains/{domain}":{"get":{"description":"Retrieves the details of an existing domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"getDomain","tags":["domains"],"responses":{"200":{"description":"Domain retrieved.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Domain"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve a domain"},"delete":{"description":"Permanently deletes a domain from the account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"deleteDomain","tags":["domains"],"responses":{"204":{"description":"Domain deleted."},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Delete a domain"}},"/{account}/domains/research/status":{"get":{"description":"Research a domain name for availability and registration status information.","parameters":[{"$ref":"#/components/parameters/Account"},{"name":"domain","in":"query","required":true,"description":"The domain name to research","schema":{"type":"string"}}],"operationId":"getDomainsResearchStatus","tags":["domains"],"summary":"Domains research status","responses":{"200":{"description":"Domain research information retrieved.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainResearch"}}}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"429":{"$ref":"#/components/responses/429"}}}},"/{account}/domains/{domain}/dnssec":{"get":{"description":"Gets the DNSSEC status for an existing domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"getDomainDnssec","tags":["domain dnssec"],"responses":{"200":{"description":"Successfully retrieved DNSSEC","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DNSSEC"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"DNSSEC status"},"post":{"description":"Enables DNSSEC for the domain.\n\nIt will enable signing of the zone. If the domain is registered with DNSimple, it will also add the DS record to the corresponding registry.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"enableDomainDnssec","tags":["domain dnssec"],"responses":{"201":{"description":"Successfully enabled DNSSEC","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DNSSEC"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Enable DNSSEC"},"delete":{"description":"Disables DNSSEC for the domain.\n\nIt will disable signing of the zone. If the domain is registered with DNSimple, it will also remove the DS record at the registry corresponding to the disabled DNSSEC signing.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"disableDomainDnssec","tags":["domain dnssec"],"responses":{"204":{"description":"Successfully disabled DNSSEC"},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"},"428":{"description":"If DNSSEC is not enabled"}},"summary":"Disable DNSSEC"}},"/{account}/domains/{domain}/ds_records":{"get":{"description":"Lists the DS records for the domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/SortDelegationSignerRecords"}],"operationId":"listDomainDelegationSignerRecords","tags":["domain dnssec"],"responses":{"200":{"description":"Successfully retrieved delegation signer list","content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DelegationSigner"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"List delegation signer records"},"post":{"description":"Adds a DS record to the domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"createDomainDelegationSignerRecord","tags":["domain dnssec"],"requestBody":{"$ref":"#/components/requestBodies/DelegationSignerCreate"},"responses":{"201":{"description":"Successfully added delegation signer record","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DelegationSigner"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Create a delegation signer record"}},"/{account}/domains/{domain}/ds_records/{ds}":{"get":{"description":"Retrieves the details of an existing DS record.","operationId":"getDomainDelegationSignerRecord","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/DelegationSigner"}],"tags":["domain dnssec"],"responses":{"200":{"description":"Successfully retrieved Delegation Signer record","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DelegationSigner"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve a delegation signer record"},"delete":{"description":"Removes a DS record from the domain.","operationId":"deleteDomainDelegationSignerRecord","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/DelegationSigner"}],"tags":["domain dnssec"],"responses":{"204":{"description":"Successfully removed the delegation signer record."},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Delete a delegation signer record"}},"/{account}/domains/{domain}/email_forwards":{"get":{"description":"Lists email forwards for the domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/SortEmailForwards"}],"operationId":"listEmailForwards","tags":["domain emailforwards"],"responses":{"200":{"description":"Successfully retrieved email forward list.","content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/EmailForward"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"List email forwards"},"post":{"description":"Creates a new email forward for the domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"createEmailForward","tags":["domain emailforwards"],"requestBody":{"$ref":"#/components/requestBodies/EmailForwardCreate"},"responses":{"201":{"description":"Successfully created new email forward.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/EmailForward"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Create an email forward"}},"/{account}/domains/{domain}/email_forwards/{emailforward}":{"get":{"description":"Retrieves the details of an existing email forward.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/EmailForward"}],"operationId":"getEmailForward","tags":["domain emailforwards"],"responses":{"200":{"description":"Successfully retrieved email forward.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/EmailForward"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve an email forward"},"delete":{"description":"Permanently deletes an email forward.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/EmailForward"}],"operationId":"deleteEmailForward","tags":["domain emailforwards"],"responses":{"204":{"description":"Successfully deleted email forward."},"404":{"$ref":"#/components/responses/404"}},"summary":"Delete an email forward"}},"/{account}/domains/{domain}/pushes":{"post":{"description":"Initiates a pust of a domain to another DNSimple account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"initiateDomainPush","tags":["domain pushes"],"requestBody":{"$ref":"#/components/requestBodies/PushInitiate"},"responses":{"201":{"description":"Successfully initiated the push.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Push"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Initiate a push"}},"/{account}/pushes":{"get":{"description":"List pending pushes for the target account.","parameters":[{"$ref":"#/components/parameters/Account"}],"operationId":"listPushes","tags":["domain pushes"],"responses":{"200":{"description":"Successfully retrieved pushes for the account.","content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Push"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}}},"summary":"List pushes"}},"/{account}/pushes/{push}":{"post":{"description":"Accepts a push to the target account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Push"}],"operationId":"acceptPush","tags":["domain pushes"],"requestBody":{"$ref":"#/components/requestBodies/PushAccept"},"responses":{"204":{"description":"Successfully accept a push."},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Accept a push"},"delete":{"description":"Rejects a push to the target account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Push"}],"operationId":"rejectPush","tags":["domain pushes"],"responses":{"204":{"description":"Successfully reject a push."},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Reject a push"}},"/{account}/domains/{domain}/certificates":{"get":{"description":"Lists the certificates for a domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/SortCertificates"}],"operationId":"listCertificates","tags":["domain certificates"],"responses":{"200":{"description":"Successfully retrieved certificates for a domain.","content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Certificate"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"List certificates"}},"/{account}/domains/{domain}/certificates/{certificate}":{"get":{"description":"Retrieves the details of an existing certificate.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/Certificate"}],"operationId":"getCertificate","tags":["domain certificates"],"responses":{"200":{"description":"Successfully retrieved a certificate for a domain.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Certificate"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve a certificate"}},"/{account}/domains/{domain}/certificates/{certificate}/download":{"get":{"description":"Gets the PEM-encoded certificate, along with the root certificate and intermediate chain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/Certificate"}],"operationId":"downloadCertificate","tags":["domain certificates"],"responses":{"200":{"description":"Successfully retrieved the certificate.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/CertificateDownload"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Download a certificate"}},"/{account}/domains/{domain}/certificates/{certificate}/private_key":{"get":{"description":"Gets the PEM-encoded certificate private key.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/Certificate"}],"operationId":"getCertificatePrivateKey","tags":["domain certificates"],"responses":{"200":{"description":"Successfully retrieved the private key for an issued certificate.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/CertificatePrivateKey"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve a certificate private key"}},"/{account}/domains/{domain}/certificates/letsencrypt":{"post":{"description":"Orders a [Let's Encrypt](https://dnsimple.com/letsencrypt) certificate with DNSimple.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"auto_renew":{"description":"Enable the auto-renewal of the certificate","type":"boolean","default":false},"name":{"description":"The certificate name","type":"string","default":"www"},"alternate_names":{"description":"The certificate alternate names","type":"array","items":{"type":"string"},"default":[],"example":["docs.example.com","status.example.com"]},"signature_algorithm":{"description":"Optional string to determine the signature algorithm to be used. Either `ECDSA` or `RSA`","type":"string","default":"ECDSA"}}}}}},"operationId":"purchaseLetsencryptCertificate","tags":["domain certificates"],"responses":{"201":{"description":"Successfully created the certificate purchase order.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/LetsencryptCertificatePurchase"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Let's Encrypt: Order a certificate"}},"/{account}/domains/{domain}/certificates/letsencrypt/{purchaseId}/issue":{"post":{"description":"Issues a [Let's Encrypt](https://dnsimple.com/letsencrypt) certificate ordered with DNSimple.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"name":"purchaseId","in":"path","required":true,"description":"The certificate purchase order id received by `purchaseLetsencryptCertificate`.","schema":{"type":"integer"}}],"operationId":"issueLetsencryptCertificate","tags":["domain certificates"],"responses":{"202":{"description":"Successfully requested the issuance of the certificate.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Certificate"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Let's Encrypt: Issue a certificate"}},"/{account}/domains/{domain}/certificates/letsencrypt/{certificate}/renewals":{"post":{"description":"Renews a [Let's Encrypt](https://dnsimple.com/letsencrypt) certificate ordered with DNSimple.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/Certificate"}],"operationId":"purchaseRenewalLetsencryptCertificate","tags":["domain certificates"],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"auto_renew":{"description":"Enable the auto-renewal of the certificate","type":"boolean","default":false},"signature_algorithm":{"description":"Optional string to determine the signature algorithm to be used. Either `ECDSA` or `RSA`","type":"string","default":"ECDSA"}}}}}},"responses":{"201":{"description":"Successfully created the certificate renewal order.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/LetsencryptCertificateRenewal"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Let's Encrypt: Order a certificate renewal"}},"/{account}/domains/{domain}/certificates/letsencrypt/{certificate}/renewals/{renewalId}/issue":{"post":{"description":"Issues a [Let's Encrypt](https://dnsimple.com/letsencrypt) certificate renewal ordered with DNSimple.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/Certificate"},{"name":"renewalId","in":"path","required":true,"description":"The certificate renewal order id received by `purchaseRenewalLetsencryptCertificate`.","schema":{"type":"integer"}}],"operationId":"issueRenewalLetsencryptCertificate","tags":["domain certificates"],"responses":{"202":{"description":"Successfully requested the issuance of the certificate renewal.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Certificate"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Let's Encrypt: Issue a certificate renewal"}},"/tlds":{"get":{"description":"Lists TLDs supported for registration or transfer.","parameters":[{"$ref":"#/components/parameters/SortTLDs"}],"operationId":"listTlds","tags":["tlds"],"responses":{"200":{"description":"Successfully retrieved the TLDs.","content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/TLD"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}}},"summary":"List TLDs"}},"/tlds/{tld}":{"get":{"description":"Retrieves the details of a TLD.","parameters":[{"$ref":"#/components/parameters/TLD"}],"operationId":"getTld","tags":["tlds"],"responses":{"200":{"description":"Successfully retrieved the TLD details.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/TLD"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve the TLD"}},"/tlds/{tld}/extended_attributes":{"get":{"description":"Lists a TLD extended attributes.\n\nSome TLDs require extended attributes when registering or transferring a domain. This API interface provides information on the extended attributes for any particular TLD. Extended attributes are extra TLD-specific attributes, required by the TLD registry to collect extra information about the registrant or legal agreements.","parameters":[{"$ref":"#/components/parameters/TLD"}],"operationId":"getTldExtendedAttributes","tags":["tlds"],"responses":{"200":{"description":"Successfully retrieved the extended attributes for the TLD.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ExtendedAttribute"}}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"List TLD extended attributes"}},"/{account}/registrar/domains/{domain}/check":{"get":{"description":"Checks a domain name for availability.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"checkDomain","tags":["registrar"],"responses":{"200":{"description":"The check was successfully executed. Check the result data to determine if it is available for registration. If the domain is premium, please check the premium price before trying to register, renew, transfer.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainCheckResult"}}}}}}},"summary":"Check domain"}},"/{account}/registrar/domains/{domain}/prices":{"get":{"description":"Retrieve domain prices.","summary":"Get prices for a domain","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"getDomainPrices","tags":["registrar"],"responses":{"200":{"description":"Successfully retrieved the domain pricing data","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainPrices"}}}}}},"400":{"$ref":"#/components/responses/400"}}}},"/{account}/registrar/domains/{domain}/registrations":{"post":{"description":"Registers a domain name.\n\nYour account must be active for this command to complete successfully. You will be automatically charged the registration fee upon successful registration, so please be careful with this command.\n\nWhen registering a domain using Solo or Teams subscription, the DNS services\nfor the zone will be automatically enabled and this will be charged on your\nfollowing subscription renewal invoices.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"registerDomain","tags":["registrar"],"requestBody":{"$ref":"#/components/requestBodies/DomainRegister"},"responses":{"201":{"description":"Domain successfully registered","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainRegistration"}}}}}},"400":{"$ref":"#/components/responses/400"}},"summary":"Register a domain"}},"/{account}/registrar/domains/{domain}/registrations/{domainregistration}":{"get":{"description":"Retrieves the details of an existing domain registration.","summary":"Retrieve a domain registration","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/DomainRegistration"}],"operationId":"getDomainRegistration","tags":["registrar registration"],"responses":{"200":{"description":"Domain registration details.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainRegistration"}}}}}},"404":{"$ref":"#/components/responses/404"}}}},"/{account}/registrar/domains/{domain}/transfers":{"post":{"description":"Transfers a domain name from another registrar.\n\nYour account must be active for this command to complete successfully. You will be automatically charged the 1-year transfer fee upon successful transfer, so please be careful with this command. The transfer may take anywhere from a few minutes up to 7 days.\n\nWhen transfering a domain using Solo or Teams subscription, the DNS services\nfor the zone will be automatically enabled and this will be charged on your\nfollowing subscription renewal invoices.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"transferDomain","tags":["registrar"],"requestBody":{"$ref":"#/components/requestBodies/DomainTransfer"},"responses":{"201":{"description":"Domain transfer created.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainTransfer"}}}}}},"400":{"$ref":"#/components/responses/400"}},"summary":"Transfer a domain"}},"/{account}/registrar/domains/{domain}/transfers/{domaintransfer}":{"get":{"description":"Retrieves the details of an existing domain transfer.","summary":"Retrieve a domain transfer","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/DomainTransfer"}],"operationId":"getDomainTransfer","tags":["registrar transfer"],"responses":{"200":{"description":"Domain transfer details.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainTransfer"}}}}}},"404":{"$ref":"#/components/responses/404"}}},"delete":{"description":"Cancels an in progress domain transfer.","summary":"Cancel a domain transfer","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/DomainTransfer"}],"operationId":"cancelDomainTransfer","tags":["registrar transfer"],"responses":{"202":{"description":"Domain transfer cancellation accepted and queued for processing.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/DomainTransfer"}}}}}},"404":{"$ref":"#/components/responses/404"}}}},"/{account}/registrar/domains/{domain}/renewals":{"post":{"description":"Explicitly renews a domain, if the registry supports this function.\n\nYour account must be active for this command to complete successfully. You will be automatically charged the renewal fee upon successful renewal, so please be careful with this command.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"domainRenew","tags":["registrar renewal"],"requestBody":{"$ref":"#/components/requestBodies/DomainRenew"},"responses":{"201":{"description":"Domain renewal created","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainRenewal"}}}}}},"400":{"$ref":"#/components/responses/400"}},"summary":"Renew a domain"}},"/{account}/registrar/domains/{domain}/renewals/{domainrenewal}":{"get":{"description":"Retrieves the details of an existing domain renewal.","summary":"Retrieve a domain renewal","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/DomainRenewal"}],"operationId":"getDomainRenewal","tags":["registrar renewal"],"responses":{"200":{"description":"Domain renewal details.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainRenewal"}}}}}},"404":{"$ref":"#/components/responses/404"}}}},"/{account}/registrar/domains/{domain}/restores":{"post":{"description":"Explicitly restores an domain that can not be renewed anymore, if the registry supports this function.\n\nYour account must be active for this command to complete successfully. You will be automatically charged the restore fee upon successful restore, so please be careful with this command.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"domainRestore","tags":["registrar restore"],"requestBody":{"$ref":"#/components/requestBodies/DomainRestore"},"responses":{"201":{"description":"Domain restore created","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainRestore"}}}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"}},"summary":"Restore a domain"}},"/{account}/registrar/domains/{domain}/restores/{domainrestore}":{"get":{"description":"Retrieves the details of an existing domain restore.","summary":"Retrieve a domain restore","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/DomainRestore"}],"operationId":"getDomainRestore","tags":["registrar restore"],"responses":{"200":{"description":"Domain restore details.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainRestore"}}}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"}}}},"/{account}/registrar/domains/{domain}/authorize_transfer_out":{"post":{"description":"Prepares a domain for transferring out.\n\nThis will unlock a domain and send the authorization code to the domain's administrative contact.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"authorizeDomainTransferOut","tags":["registrar"],"responses":{"204":{"description":"Domain prepared for transfer out."},"400":{"$ref":"#/components/responses/400"}},"summary":"Authorize a domain transfer out"}},"/{account}/registrar/domains/{domain}/delegation":{"get":{"description":"Lists the name servers for the domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"getDomainDelegation","tags":["registrar delegation"],"responses":{"200":{"description":"Successfully retrieved the domain name servers.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DomainNameServer"}}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"List domain name servers"},"put":{"description":"Changes the domain name servers.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"changeDomainDelegation","tags":["registrar delegation"],"requestBody":{"$ref":"#/components/requestBodies/DomainNameServers"},"responses":{"200":{"description":"Successfully updated the domain name servers.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DomainNameServer"}}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Change domain name servers"}},"/{account}/registrar/domains/{domain}/delegation/vanity":{"put":{"description":"Delegate a domain to vanity name servers.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"changeDomainDelegationToVanity","tags":["registrar delegation"],"requestBody":{"$ref":"#/components/requestBodies/VanityNameServers"},"responses":{"200":{"description":"Successfully delegated to vanity name servers.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/NameServer"}}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"},"412":{"$ref":"#/components/responses/412-feature"}},"summary":"Delegate to vanity name servers"},"delete":{"description":"De-delegate a domain from vanity name servers.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"changeDomainDelegationFromVanity","tags":["registrar delegation"],"responses":{"204":{"description":"Successfully de-delegated from vanity name servers."},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"},"412":{"$ref":"#/components/responses/412-feature"}},"summary":"De-delegate from vanity name servers"}},"/{account}/registrar/domains/{domain}/transfer_lock":{"get":{"description":"Gets the transfer lock status for a domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"getDomainTransferLock","tags":["registrar transfer"],"responses":{"200":{"description":"Successfully retrieved transfer lock details.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainTransferLock"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Domain transfer lock status"},"post":{"description":"Locks the domain to prevent unauthorized transfers.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"enableDomainTransferLock","tags":["registrar transfer"],"responses":{"201":{"description":"Successfully locked the domain.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/DomainTransferLock"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Enable domain transfer lock"},"delete":{"description":"Unlocks the domain to allow domain transfers.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"disableDomainTransferLock","tags":["registrar transfer"],"responses":{"200":{"description":"Successfully unlocked the domain.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/DomainTransferLock"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Disable domain transfer lock"}},"/{account}/registrar/domains/{domain}/auto_renewal":{"put":{"description":"Enables auto renewal for the domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"enableDomainAutoRenewal","tags":["registrar renewal"],"responses":{"204":{"description":"Successfully enabled auto-renewal."},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Enable domain auto-renewal"},"delete":{"description":"Disables auto renewal for the domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"disableDomainAutoRenewal","tags":["registrar renewal"],"responses":{"204":{"description":"Successfully disabled auto-renewal."},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Disable domain auto-renewal"}},"/{account}/registrar/domains/{domain}/whois_privacy":{"put":{"description":"Enables the WHOIS privacy for the domain.\n\nNote that if the WHOIS privacy is not purchased for the domain, enabling WHOIS privacy will cause the service to be purchased for a period of 1 year. If WHOIS privacy was previously purchased and disabled, then calling this will enable the WHOIS privacy.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"enableWhoisPrivacy","tags":["registrar privacy"],"responses":{"200":{"description":"Successfully enabled whois privacy.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/WhoisPrivacy"}}}}}},"201":{"description":"Successfully purchased and enabled whois privacy.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/WhoisPrivacy"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Enable WHOIS privacy"},"delete":{"description":"Disables the WHOIS privacy for the domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"disableWhoisPrivacy","tags":["registrar privacy"],"responses":{"200":{"description":"Successfully disabled whois privacy.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/WhoisPrivacy"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Disable WHOIS privacy"}},"/{account}/secondary_dns/primaries":{"get":{"summary":"List primary servers","description":"List the primary servers in the account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/SortPrimaryServers"}],"operationId":"listPrimaryServers","tags":["secondary dns"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/PrimaryServer"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}},"description":"Primary Server listing."}}},"post":{"summary":"Create a primary server","description":"Creates a primary server into the account.","parameters":[{"$ref":"#/components/parameters/Account"}],"operationId":"createPrimaryServer","tags":["secondary dns"],"requestBody":{"$ref":"#/components/requestBodies/PrimaryServerCreate"},"responses":{"201":{"description":"Primary Server created.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/PrimaryServer"}}}}}},"400":{"$ref":"#/components/responses/400"}}}},"/{account}/secondary_dns/primaries/{primaryserver}":{"get":{"description":"Retrieves the details of an existing primary server.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/PrimaryServer"}],"operationId":"getPrimaryServer","tags":["secondary dns"],"responses":{"200":{"description":"Primary Server retrieved.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/PrimaryServer"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve a primary server"},"delete":{"description":"Permanently deletes a primary server.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/PrimaryServer"}],"operationId":"removePrimaryServer","tags":["secondary dns"],"responses":{"204":{"description":"Successfully deleted primary server."},"404":{"$ref":"#/components/responses/404"}},"summary":"Delete a primary server"}},"/{account}/secondary_dns/primaries/{primaryserver}/link":{"put":{"description":"Link the primary server to a secondary zone.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/PrimaryServer"}],"operationId":"linkPrimaryServer","tags":["secondary dns"],"responses":{"200":{"description":"Primary Server linked.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/PrimaryServer"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Link a primary server to a secondary zone"}},"/{account}/secondary_dns/primaries/{primaryserver}/unlink":{"put":{"description":"Unlink the primary server from a secondary zone.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/PrimaryServer"}],"operationId":"unlinkPrimaryServer","tags":["secondary dns"],"responses":{"200":{"description":"Primary Server unlinked.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/PrimaryServer"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Unlink a primary server from a secondary zone"}},"/{account}/secondary_dns/zones":{"post":{"summary":"Create a secondary zone","description":"Creates a secondary zone into the account.\n\nWhen creating a secondary zone using Solo or Teams subscription, the DNS\nservices for the zone will be automatically enabled and this will be charged\non your following subscription renewal invoices.","parameters":[{"$ref":"#/components/parameters/Account"}],"operationId":"createSecondaryZone","tags":["secondary dns"],"requestBody":{"$ref":"#/components/requestBodies/SecondaryZoneCreate"},"responses":{"201":{"description":"Secondary Zone created.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Zone"}}}}}},"400":{"$ref":"#/components/responses/400"}}}},"/{account}/zones":{"get":{"description":"Lists the zones in the account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/FilterNameLike"},{"$ref":"#/components/parameters/SortZones"}],"operationId":"listZones","tags":["zones"],"responses":{"200":{"description":"Successfully retrieved account zone list.","content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Zone"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}}},"summary":"List zones"}},"/{account}/zones/{zone}":{"get":{"description":"Retrieves the details of an existing zone.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"}],"operationId":"getZone","tags":["zones"],"responses":{"200":{"description":"Successfully retrieved zone.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Zone"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve a zone"}},"/{account}/zones/{zone}/file":{"get":{"description":"Download the zonefile for an existing zone.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"}],"operationId":"getZoneFile","tags":["zones"],"responses":{"200":{"description":"Successfully retrieved zone file.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/ZoneFile"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Download a zone file"}},"/{account}/zones/{zone}/distribution":{"get":{"description":"Checks if a zone is fully distributed to all our name servers across the globe.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"}],"operationId":"checkZoneDistribution","tags":["zones"],"responses":{"200":{"description":"Successfully checked zone distribution.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/ZoneDistribution"}}}}}},"404":{"$ref":"#/components/responses/404"},"504":{"description":"The server failed to perform the check.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"Check zone distribution"}},"/{account}/zones/{zone}/ns_records":{"put":{"description":"Updates the zone's NS records","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"}],"requestBody":{"$ref":"#/components/requestBodies/ZoneNsRecordsUpdate"},"operationId":"updateZoneNsRecords","tags":["zones"],"responses":{"200":{"description":"Successfully updated the zone name servers.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ZoneRecord"}}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Update a zone's NS records"}},"/{account}/zones/{zone}/records":{"get":{"description":"Lists the records for a zone.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"},{"$ref":"#/components/parameters/FilterNameLike"},{"$ref":"#/components/parameters/FilterName"},{"$ref":"#/components/parameters/FilterType"},{"$ref":"#/components/parameters/SortZoneRecords"}],"operationId":"listZoneRecords","tags":["zones"],"responses":{"200":{"description":"Successfully retrieved zone records list.","content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ZoneRecord"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}}},"summary":"List zone records"},"post":{"description":"Creates a new zone record.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"}],"operationId":"createZoneRecord","tags":["zones"],"requestBody":{"$ref":"#/components/requestBodies/ZoneRecordCreate"},"responses":{"201":{"description":"Successfully created zone record.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/ZoneRecord"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Create a zone record"}},"/{account}/zones/{zone}/records/{zonerecord}":{"get":{"description":"Retrieves the details of an existing zone record.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"},{"$ref":"#/components/parameters/ZoneRecord"}],"operationId":"getZoneRecord","tags":["zones"],"responses":{"200":{"description":"Successfully get zone record.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/ZoneRecord"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve a zone record"},"patch":{"description":"Updates the zone record details.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"},{"$ref":"#/components/parameters/ZoneRecord"}],"operationId":"updateZoneRecord","tags":["zones"],"requestBody":{"$ref":"#/components/requestBodies/ZoneRecordUpdate"},"responses":{"200":{"description":"Successfully updated zone record.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/ZoneRecord"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Update a zone record"},"delete":{"description":"Permanently deletes a zone record.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"},{"$ref":"#/components/parameters/ZoneRecord"}],"operationId":"deleteZoneRecord","tags":["zones"],"responses":{"204":{"description":"Successfully deleted zone record."},"404":{"$ref":"#/components/responses/404"}},"summary":"Delete a zone record"}},"/{account}/zones/{zone}/batch":{"post":{"description":"Performs multiple record operations (create, update and/or delete) for a zone in a single request for atomicity and efficiency.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"}],"operationId":"batchChangeZoneRecords","tags":["zones"],"requestBody":{"$ref":"#/components/requestBodies/BatchChangeZoneRecords"},"responses":{"200":{"description":"Successfully processed batched zone record changes.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/BatchChangeZoneRecordsResponse"}}}}}},"400":{"description":"Invalid batch change zone records request error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchChangeZoneRecordsInvalidRequestError"}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Batch create, update, and/or delete records in a zone"}},"/{account}/zones/{zone}/records/{zonerecord}/distribution":{"get":{"description":"Checks if a zone record is fully distributed to all our name servers across the globe.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"},{"$ref":"#/components/parameters/ZoneRecord"}],"operationId":"checkZoneRecordDistribution","tags":["zones"],"responses":{"200":{"description":"Successfully checked zone record distribution.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/ZoneDistribution"}}}}}},"404":{"$ref":"#/components/responses/404"},"504":{"description":"The server failed to perform the check.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"Check zone record distribution"}},"/{account}/zones/{zone}/activation":{"put":{"description":"Activate DNS services for the zone.\n\nUnder Solo and Teams plans, active zones are charged when renewing your subscription to\nDNSimple","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"}],"operationId":"activateZoneService","tags":["zones"],"responses":{"200":{"description":"Successful activation of DNS services on the zone.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Zone"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Activate a zone DNS service"},"delete":{"description":"Deactivates DNS services for the zone.\n\nUnder Solo and Teams plans, active zones are charged when renewing your subscription to\nDNSimple","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Zone"}],"operationId":"deactivateZoneService","tags":["zones"],"responses":{"200":{"description":"Successfully deactivate DNS services on the zone.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Zone"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Deactivate a zone DNS service"}},"/{account}/contacts":{"get":{"description":"List contacts in the account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/SortContacts"}],"operationId":"listContacts","tags":["contacts"],"responses":{"200":{"description":"Successfully retrieved account contact list.","content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Contact"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}}},"summary":"List contacts"},"post":{"description":"Creates a contact.","parameters":[{"$ref":"#/components/parameters/Account"}],"operationId":"createContact","tags":["contacts"],"requestBody":{"$ref":"#/components/requestBodies/ContactCreate"},"responses":{"201":{"description":"Successfully created contact.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Contact"}}}}}},"400":{"$ref":"#/components/responses/400"}},"summary":"Create a contact"}},"/{account}/contacts/{contact}":{"get":{"description":"Retrieves the details of an existing contact.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Contact"}],"operationId":"getContact","tags":["contacts"],"responses":{"200":{"description":"Successfully retrieved the contact.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Contact"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve a contact"},"patch":{"description":"Updates the contact details.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Contact"}],"operationId":"updateContact","tags":["contacts"],"requestBody":{"$ref":"#/components/requestBodies/ContactUpdate"},"responses":{"200":{"description":"Successfully updated contact.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Contact"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Update a contact"},"delete":{"description":"Permanently deletes a contact from the account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Contact"}],"operationId":"deleteContact","tags":["contacts"],"responses":{"204":{"description":"Successfully deleted contact."},"404":{"$ref":"#/components/responses/404"}},"summary":"Delete a contact"}},"/{account}/registrar/registrant_changes":{"get":{"description":"List registrant changes in the account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/SortRegistrantChanges"},{"$ref":"#/components/parameters/FilterRegistrantChangeState"},{"$ref":"#/components/parameters/FilterDomainId"},{"$ref":"#/components/parameters/FilterContactId"}],"operationId":"listRegistrantChanges","tags":["registrant changes"],"responses":{"200":{"description":"Successfully retrieved registrant change list.","content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/RegistrantChange"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}},"400":{"$ref":"#/components/responses/400"}},"summary":"List registrant changes"},"post":{"description":"Start registrant change.","parameters":[{"$ref":"#/components/parameters/Account"}],"operationId":"createRegistrantChange","tags":["registrant changes"],"requestBody":{"$ref":"#/components/requestBodies/RegistrantChangeCreate"},"responses":{"201":{"description":"Successfully changed the contact.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/RegistrantChange"}}}}}},"202":{"description":"The contact change has started and pending completion.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/RegistrantChange"}}}}}},"400":{"$ref":"#/components/responses/400"}},"summary":"Start registrant change"}},"/{account}/registrar/registrant_changes/check":{"post":{"description":"Retrieves the requirements of a registrant change.","parameters":[{"$ref":"#/components/parameters/Account"}],"operationId":"checkRegistrantChange","tags":["registrant changes"],"requestBody":{"$ref":"#/components/requestBodies/RegistrantChangeCheck"},"responses":{"200":{"description":"Successfully returned the registrant change requirements.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/RegistrantChangeCheck"}}}}}},"400":{"$ref":"#/components/responses/400"}},"summary":"Check registrant change requirements"}},"/{account}/registrar/registrant_changes/{registrantchange}":{"get":{"description":"Retrieves the details of an existing registrant change.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/RegistrantChange"}],"operationId":"getRegistrantChange","tags":["registrant changes"],"responses":{"200":{"description":"Successfully retrieved the registrant change.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/RegistrantChange"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve a registrant change"},"delete":{"description":"Cancel an ongoing registrant change from the account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/RegistrantChange"}],"operationId":"deleteRegistrantChange","tags":["registrant changes"],"responses":{"204":{"description":"Successfully cancelled registrant change."},"202":{"description":"The registrant change is cancelling.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/RegistrantChange"}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Cancel a registrant change"}},"/services":{"get":{"description":"List all available one-click services.","parameters":[{"$ref":"#/components/parameters/SortServices"}],"operationId":"listServices","tags":["domain services"],"responses":{"200":{"description":"Successfully retrieved service list.","content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Service"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}}},"summary":"List services"}},"/services/{service}":{"get":{"description":"Retrieves the details of a one-click service.","parameters":[{"$ref":"#/components/parameters/Service"}],"operationId":"getService","tags":["domain services"],"responses":{"200":{"description":"Successfully retrieved service.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Service"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve a service"}},"/{account}/domains/{domain}/services":{"get":{"description":"List services applied to a domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"listDomainAppliedServices","tags":["domain services"],"responses":{"200":{"description":"Successfully retrieved list of applied services.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Service"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"List applied services"}},"/{account}/domains/{domain}/services/{service}":{"post":{"description":"Applies a service to a domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/Service"}],"operationId":"applyServiceToDomain","tags":["domain services"],"requestBody":{"$ref":"#/components/requestBodies/ServiceApply"},"responses":{"204":{"description":"Successfully applied a service to a domain."},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Apply a service"},"delete":{"description":"Unapplies a service from a domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/Service"}],"operationId":"unapplyServiceFromDomain","tags":["domain services"],"responses":{"204":{"description":"Successfully unapplied a service to a domain."},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Unapply a service"}},"/{account}/templates":{"get":{"description":"Lists the templates in the account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/SortTemplates"}],"operationId":"listTemplates","tags":["templates"],"responses":{"200":{"description":"Successfully retrieved account template list.","content":{"application/json":{"schema":{"type":"object","required":["data","pagination"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Template"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}}},"summary":"List templates"},"post":{"description":"Creates a template.","parameters":[{"$ref":"#/components/parameters/Account"}],"operationId":"createTemplate","tags":["templates"],"requestBody":{"$ref":"#/components/requestBodies/TemplateCreate"},"responses":{"201":{"description":"Successfully created a template.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Template"}}}}}},"400":{"$ref":"#/components/responses/400"}},"summary":"Create a template"}},"/{account}/templates/{template}":{"get":{"description":"Retrieves the details of an existing template.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Template"}],"operationId":"getTemplate","tags":["templates"],"responses":{"200":{"description":"Successfully retrieved a template.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Template"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve a template"},"patch":{"description":"Updates the template details.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Template"}],"operationId":"updateTemplate","tags":["templates"],"requestBody":{"$ref":"#/components/requestBodies/TemplateUpdate"},"responses":{"200":{"description":"Successfully updated a template.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Template"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Update a template"},"delete":{"description":"Permanently deletes a template.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Template"}],"operationId":"deleteTemplate","tags":["templates"],"responses":{"204":{"description":"Successfully deleted a template"}},"summary":"Delete a template"}},"/{account}/templates/{template}/records":{"get":{"description":"Lists the records for a template.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Template"},{"$ref":"#/components/parameters/SortTemplateRecords"}],"operationId":"listTemplateRecords","tags":["templates"],"responses":{"200":{"description":"Successfully retrieved the template records list.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/TemplateRecord"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}}},"summary":"List template records"},"post":{"description":"Creates a new template record.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Template"}],"operationId":"createTemplateRecord","tags":["templates"],"requestBody":{"$ref":"#/components/requestBodies/TemplateRecordCreateOrUpdate"},"responses":{"201":{"description":"Successfully create a template record.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/TemplateRecord"}}}}}}},"summary":"Create a template record"}},"/{account}/templates/{template}/records/{templaterecord}":{"get":{"description":"Retrieves the details of an existing template record.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Template"},{"$ref":"#/components/parameters/TemplateRecord"}],"operationId":"getTemplateRecord","tags":["templates"],"responses":{"200":{"description":"Successfully retrieved a template record.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/TemplateRecord"}}}}}},"404":{"$ref":"#/components/responses/404"}},"summary":"Retrieve a template record"},"delete":{"description":"Permanently deletes a template record.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Template"},{"$ref":"#/components/parameters/TemplateRecord"}],"operationId":"deleteTemplateRecord","tags":["templates"],"responses":{"204":{"description":"Successfully deleted a template record."},"404":{"$ref":"#/components/responses/404"}},"summary":"Delete a template record"}},"/{account}/domains/{domain}/templates/{template}":{"post":{"description":"Applies a template to a domain.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"},{"$ref":"#/components/parameters/Template"}],"operationId":"applyTemplateToDomain","tags":["templates"],"responses":{"204":{"description":"Successfully applied a template to the domain."},"404":{"$ref":"#/components/responses/404"}},"summary":"Apply a template"}},"/{account}/vanity/{domain}":{"put":{"description":"Enables Vanity Name Servers for the domain.\n\nThis method sets up the appropriate A and AAAA records for the domain to provide vanity name servers, but it does not change the delegation for the domain. To change the delegation for domains to vanity name servers use the endpoints to Delegate to Vanity Name Servers or Dedelegate from Vanity Name Servers.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"enableVanityNameServers","tags":["vanity name servers"],"responses":{"200":{"description":"Successfully enabled vanity name servers on the domain.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/VanityNameServer"}}}}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Enable vanity name servers"},"delete":{"description":"Disables Vanity Name Servers for the domain.\n\nThis method removes the A and AAAA records required for the domain to provide vanity name servers, but it does not change the delegation for the domain. To change the delegation for domains to vanity name servers use the endpoints to Delegate to Vanity Name Servers or Dedelegate from Vanity Name Servers.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Domain"}],"operationId":"disableVanityNameServers","tags":["vanity name servers"],"responses":{"204":{"description":"Successfully disabled vanity name servers on the domain."},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"}},"summary":"Disable vanity name servers"}},"/{account}/webhooks":{"get":{"description":"List the webhooks in the account.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/SortWebhooks"}],"operationId":"listWebhooks","tags":["webhooks"],"responses":{"200":{"description":"Successfully retrieved account webhooks list.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Webhook"}}}}}}}},"summary":"List webhooks"},"post":{"description":"Registers a webhook endpoint.","parameters":[{"$ref":"#/components/parameters/Account"}],"operationId":"createWebhook","tags":["webhooks"],"responses":{"201":{"description":"Successfully created a webhook.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Webhook"}}}}}},"400":{"$ref":"#/components/responses/400"}},"callbacks":{"webhook":{"{$request.body#/url}":{"post":{"operationId":"receiveWebhook","summary":"Receive webhook notification","requestBody":{"required":true,"description":"Webhook payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookPayload"}}}},"responses":{"200":{"description":"Webhook successfully processed"}}}}}},"summary":"Create a webhook","requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["url"],"properties":{"url":{"type":"string","format":"uri"}}}}}}}},"/{account}/webhooks/{webhook}":{"get":{"description":"Retrieves the details of a registered webhook.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Webhook"}],"operationId":"getWebhook","tags":["webhooks"],"responses":{"200":{"description":"Successfully retrieved a webhook.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Webhook"}}}}}}},"summary":"Retrieve a webhook"},"delete":{"description":"De-registers a webhook endpoint.","parameters":[{"$ref":"#/components/parameters/Account"},{"$ref":"#/components/parameters/Webhook"}],"operationId":"deleteWebhook","tags":["webhooks"],"responses":{"204":{"description":"Successfully deleted a webhook."}},"summary":"Delete a webhook"}},"/{account}/dns_analytics":{"get":{"description":"Queries and returns DNS Analytics data available for the provided query parameters. This API is currently in Public Beta. During the Public Beta period, changes may occur at any time.","parameters":[{"$ref":"#/components/parameters/Account"},{"name":"start_date","description":"Only include results after the given date. Format is ISO8601 (YYYY-MM-DD). It can be a max of 31 days away from the end_date. If omitted, it defaults to 31 days ago.","style":"form","in":"query","required":false,"schema":{"$ref":"#/components/schemas/Date"}},{"name":"end_date","description":"Only include results before the given date. Format is ISO8601 (YYYY-MM-DD). It can be a max of 31 days away from the start_date. If omitted, it defaults to 1 day ago.","style":"form","in":"query","required":false,"schema":{"$ref":"#/components/schemas/Date"}},{"name":"groupings","description":"How to group the results of the account's DNS analytics. No groupings will be applied by default unless specified. Multiple groupings can be provided, separated by a comma. Applying groupings to the query will add columns to the response payload.","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["date","volume","zone_name"]}},{"$ref":"#/components/parameters/SortDNSAnalytics"},{"$ref":"#/components/parameters/PaginationPage"},{"$ref":"#/components/parameters/PaginationPerPage"}],"responses":{"200":{"description":"Successfully retrieved DNS analytics data.","content":{"application/json":{"schema":{"type":"object","required":["data","query","pagination"],"properties":{"data":{"type":"object","required":["rows","headers"],"properties":{"rows":{"type":"array","items":{"anyOf":[{"type":"integer"},{"type":"string"},{"$ref":"#/components/schemas/Date"}],"example":["example.com","2024-08-01",102985]}},"headers":{"type":"array","items":{"type":"string","example":"zone_name,volume"}}}},"query":{"type":"object","required":["account_id","start_date","end_date","sort","groupings","page","per_page"],"properties":{"account_id":{"type":"integer"},"start_date":{"$ref":"#/components/schemas/NullableDate"},"end_date":{"$ref":"#/components/schemas/NullableDate"},"sort":{"type":"string","description":"Sorting applied to the returned data.","example":"date:asc,zone_name:asc"},"groupings":{"type":["string","null"],"description":"Grouping applied to the returned data.","example":"date,zone_name"},"page":{"type":"integer","description":"The returned page number.","example":1},"per_page":{"type":"integer","description":"The page size used to generate the data.","example":1000}}},"pagination":{"$ref":"#/components/schemas/Pagination"}}}}}}},"operationId":"queryDnsAnalytics","tags":["billing","zones"],"summary":"Analytics about DNS queries"}}},"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"bearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"Account":{"name":"account","in":"path","required":true,"description":"The account id","schema":{"type":"integer"}},"Certificate":{"name":"certificate","in":"path","required":true,"description":"The certificate id","schema":{"type":"integer"}},"Contact":{"name":"contact","in":"path","required":true,"description":"The contact id","schema":{"type":"integer"}},"DelegationSigner":{"name":"ds","in":"path","required":true,"description":"The delegation signer record id","schema":{"type":"integer"}},"Domain":{"name":"domain","in":"path","required":true,"description":"The domain name or id","schema":{"type":"string"}},"DomainRegistration":{"name":"domainregistration","in":"path","required":true,"description":"The domain registration id","schema":{"type":"integer"}},"DomainRenewal":{"name":"domainrenewal","in":"path","required":true,"description":"The domain renewal id","schema":{"type":"integer"}},"DomainRestore":{"name":"domainrestore","in":"path","required":true,"description":"The domain restore id","schema":{"type":"integer"}},"DomainTransfer":{"name":"domaintransfer","in":"path","required":true,"description":"The domain transfer id","schema":{"type":"integer"}},"EmailForward":{"name":"emailforward","in":"path","required":true,"description":"The email forward id","schema":{"type":"integer"}},"PrimaryServer":{"name":"primaryserver","in":"path","required":true,"description":"The primary server id","schema":{"type":"integer"}},"Push":{"name":"push","in":"path","required":true,"description":"The push id","schema":{"type":"integer"}},"RegistrantChange":{"name":"registrantchange","in":"path","required":true,"description":"The registrant change id","schema":{"type":"integer"}},"Service":{"name":"service","in":"path","required":true,"description":"The service sid or id","schema":{"type":"string"}},"Template":{"name":"template","in":"path","required":true,"description":"The template id or short name","schema":{"type":"string"}},"TemplateRecord":{"name":"templaterecord","in":"path","required":true,"description":"The template record id","schema":{"type":"integer"}},"TLD":{"name":"tld","in":"path","required":true,"description":"The TLD string","schema":{"type":"string"}},"Webhook":{"name":"webhook","in":"path","required":true,"description":"The webhoook id","schema":{"type":"integer"}},"Zone":{"name":"zone","in":"path","required":true,"description":"The zone name","schema":{"type":"string"}},"ZoneRecord":{"name":"zonerecord","in":"path","required":true,"description":"The zone record id","schema":{"type":"integer"}},"FilterName":{"name":"name","in":"query","required":false,"description":"Only include results with a name field exactly matching the given string","schema":{"type":"string"}},"FilterNameLike":{"name":"name_like","in":"query","required":false,"description":"Only include results with a name field containing the given string","schema":{"type":"string"}},"FilterRegistrantId":{"name":"registrant_id","in":"query","required":false,"description":"Only include results with the registrant_id field matching the given value","schema":{"type":"integer"}},"FilterStartDate":{"name":"start_date","in":"query","required":false,"description":"Only include results after the given date. Format is ISO8601 (YYYY-MM-DD).","schema":{"$ref":"#/components/schemas/Date"}},"FilterEndDate":{"name":"end_date","in":"query","required":false,"description":"Only include results before the given date. Format is ISO8601 (YYYY-MM-DD).","schema":{"$ref":"#/components/schemas/Date"}},"FilterType":{"name":"type","in":"query","required":false,"description":"Only include results with a type field exactly matching the given string","schema":{"type":"string"}},"FilterRegistrantChangeState":{"name":"state","in":"query","required":false,"description":"Only include results with a state field exactly matching the given string","schema":{"type":"string","enum":["new","pending","completed","cancelling","cancelled"]}},"FilterDomainId":{"name":"domain_id","in":"query","required":false,"description":"Only include results with a domain_id field exactly matching the given string","schema":{"type":"string"}},"FilterContactId":{"name":"contact_id","in":"query","required":false,"description":"Only include results with a contact_id field exactly matching the given string","schema":{"type":"string"}},"PaginationPage":{"description":"The page of the results requested. Defaults to 1.","name":"page","style":"form","in":"query","required":false,"schema":{"type":"integer"}},"PaginationPerPage":{"description":"The amount of rows to return in each page. The default is usually 100. There are endpoints that override this default to accommodate specific use cases.","name":"per_page","style":"form","in":"query","required":false,"schema":{"type":"integer"}},"SortCertificates":{"description":"Sort results. Default sorting is by id.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc","common_name:asc","common_name:desc","expiration:asc","expiration:desc"]}},"SortCharges":{"description":"Sort results. Default sorting is by invoiced ascending.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["invoiced:asc","invoiced:desc"]}},"SortContacts":{"description":"Sort results. Default sorting is by id ascending.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc","label:asc","label:desc","email:asc","email:desc"]}},"SortDNSAnalytics":{"description":"Sort results. Default sorting policy is by ascending date, then ascending zone_name.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","example":"volume:desc,zone_name:asc"}},"SortDomains":{"description":"Sort results. Default sorting is ascending by name.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc","name:asc","name:desc","expiration:asc","expiration:desc"]}},"SortDelegationSignerRecords":{"description":"Sort results. Default sorting is by id.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc","created_at:asc","created_at:desc"]}},"SortEmailForwards":{"description":"Sort results. Default sorting is by id.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc","alias_email:asc","alias_email:desc","destination_email:asc","destination_email:desc"]}},"SortPrimaryServers":{"description":"Sort results. Default sorting is ascending by id.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc","name:asc","name:desc"]}},"SortRegistrantChanges":{"description":"Sort results. Default sorting is by id.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc"]}},"SortServices":{"description":"Sort results. Default sorting is by id ascending.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc","sid:asc","sid:desc"]}},"SortTemplates":{"description":"Sort results. Default sorting is by id ascending.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc","name:asc","name:desc","sid:asc","sid:desc"]}},"SortTemplateRecords":{"description":"Sort results. Default sorting is by id ascending.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc","name:asc","name:desc","content:asc","content:desc","type:asc","type:desc"]}},"SortTLDs":{"description":"Sort results. Default sorting is by tld ascending.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["tld:asc","tld:desc"]}},"SortWebhooks":{"description":"Sort results. Default sorting is by name ascending.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc"]}},"SortZones":{"description":"Sort results. Default sorting is by name ascending.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc","name:asc","name:desc"]}},"SortZoneRecords":{"description":"Sort results. Default sorting is by name ascending.","name":"sort","style":"form","in":"query","required":false,"schema":{"type":"string","enum":["id:asc","id:desc","name:asc","name:desc","content:asc","content:desc","type:asc","type:desc"]}}},"schemas":{"Date":{"type":"string","format":"date","example":"2010-01-01","description":"A date value formatted as ISO 8601."},"DateTime":{"type":"string","format":"date-time","example":"2010-01-01T01:00:00Z","description":"A date-time value formatted as ISO 8601."},"DateTimeCreatedAt":{"type":"string","format":"date-time","example":"2010-01-01T01:00:00Z","description":"A date-time value, representing when the entry was created, formatted as ISO 8601."},"DateTimeUpdatedAt":{"type":"string","format":"date-time","example":"2010-01-01T01:00:00Z","description":"A date-time value, representing when the entry was last updated, formatted as ISO 8601."},"NullableDate":{"type":["string","null"],"format":"date","description":"A nullable date-time value. The value can be null, when present the value is formatted according to the ISO 8601 specification."},"NullableDateTime":{"type":["string","null"],"format":"date-time","description":"A nullable date-time value. The value can be null, when present the value is formatted according to the ISO 8601 specification."},"Error":{"type":"object","required":["message"],"properties":{"message":{"type":"string"}}},"Pagination":{"type":"object","required":["current_page","per_page","total_entries","total_pages"],"properties":{"current_page":{"type":"integer"},"per_page":{"type":"integer"},"total_entries":{"type":"integer"},"total_pages":{"type":"integer"}},"example":{"current_page":1,"per_page":30,"total_entries":2,"total_pages":1}},"Account":{"type":"object","required":["id","email","plan_identifier","created_at","updated_at"],"properties":{"id":{"type":"integer"},"email":{"type":"string"},"plan_identifier":{"type":"string"},"created_at":{"$ref":"#/components/schemas/DateTimeCreatedAt"},"updated_at":{"$ref":"#/components/schemas/DateTimeUpdatedAt"}},"example":{"id":1,"email":"example-account@example.com","plan_identifier":"teams-v1-monthly","created_at":"2015-09-18T23:04:37Z","updated_at":"2016-06-09T20:03:39Z"}},"WebhookAccount":{"type":"object","required":["id","display","identifier"],"properties":{"id":{"type":"integer"},"display":{"type":"string"},"identifier":{"type":"string"}},"example":{"id":1,"display":"Personal","identifier":"example@example.com"}},"AccountIdentityProvider":{"type":"object","required":["organization_identifier"],"properties":{"organization_identifier":{"type":"string"}}},"AccountInvitation":{"type":"object","required":["id","account_id","email","token","invitation_sent_at","invitation_accepted_at","created_at","updated_at"],"properties":{"id":{"type":"integer"},"account_id":{"type":"integer"},"email":{"type":"string"},"token":{"type":"string"},"invitation_sent_at":{"$ref":"#/components/schemas/DateTime"},"invitation_accepted_at":{"$ref":"#/components/schemas/NullableDateTime"},"created_at":{"$ref":"#/components/schemas/DateTimeCreatedAt"},"updated_at":{"$ref":"#/components/schemas/DateTimeUpdatedAt"}}},"Actor":{"type":"object","required":["id","identifier","pretty"],"properties":{"id":{"type":"integer"},"identifier":{"type":"string"},"pretty":{"type":"string"}}},"BatchChangeZoneRecordsResponse":{"type":"object","description":"Response from batch change of zone records","required":["creates","updates","deletes"],"properties":{"creates":{"type":"array","description":"Zone records that were created","items":{"$ref":"#/components/schemas/ZoneRecord"}},"updates":{"type":"array","description":"Zone records that were updated","items":{"$ref":"#/components/schemas/ZoneRecord"}},"deletes":{"type":"array","description":"Zone records that were deleted","items":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","description":"ID of the deleted zone record"}}}}},"example":{"creates":[{"id":67623409,"zone_id":"example.com","parent_id":null,"name":"ab","content":"3.2.3.4","ttl":3600,"priority":null,"type":"A","regions":["global"],"system_record":false,"created_at":"2025-09-05T05:25:00Z","updated_at":"2025-09-05T05:25:00Z"}],"updates":[{"id":67622534,"zone_id":"example.com","parent_id":null,"name":"update1-1757049890","content":"3.2.3.40","ttl":3600,"priority":null,"type":"A","regions":["global"],"system_record":false,"created_at":"2025-09-05T04:40:15Z","updated_at":"2025-09-05T05:25:00Z"}],"deletes":[{"id":67622509}]}},"BatchChangeZoneRecordsInvalidRequestError":{"type":"object","description":"Client request error for batch change of zone records","required":["message","errors"],"properties":{"message":{"type":"string"},"errors":{"type":"object","properties":{"creates":{"type":"array","items":{"type":"object","required":["index","message"],"properties":{"index":{"type":"integer","description":"Index of the failed create operation"},"message":{"type":"string","description":"Error message for this operation"},"errors":{"type":"object","description":"Optional detailed validation errors","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"updates":{"type":"array","items":{"type":"object","required":["index","message"],"properties":{"index":{"type":"integer","description":"Index of the failed update operation"},"message":{"type":"string","description":"Error message for this operation"},"errors":{"type":"object","description":"Optional detailed validation errors","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"deletes":{"type":"array","items":{"type":"object","required":["index","message"],"properties":{"index":{"type":"integer","description":"Index of the failed delete operation"},"message":{"type":"string","description":"Error message for this operation"},"errors":{"type":"object","description":"Optional detailed validation errors","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}}}},"examples":[{"message":"Validation failed","errors":{"creates":[{"index":0,"message":"Validation failed","errors":{"base":["Matching record already exists for this zone"]}}]}},{"message":"Validation failed","errors":{"creates":[{"index":0,"message":"Region selection is not allowed for your plan"}]}}]},"BillingSettings":{"type":"object"},"Certificate":{"type":"object","required":["id","domain_id","name","common_name","years","csr","state","auto_renew","alternate_names","authority_identifier","created_at","updated_at","expires_at","expires_on"],"properties":{"id":{"type":"integer"},"domain_id":{"type":"integer"},"name":{"type":"string"},"common_name":{"type":"string"},"years":{"type":"integer"},"csr":{"type":"string"},"state":{"type":"string","enum":["new","purchased","configured","submitted","issued","rejected","refunded","cancelled","requesting","failed"]},"auto_renew":{"type":"boolean"},"alternate_names":{"type":"array","items":{"type":"string"}},"authority_identifier":{"type":"string","enum":["comodo","rapidssl","letsencrypt"]},"created_at":{"$ref":"#/components/schemas/DateTimeCreatedAt"},"updated_at":{"$ref":"#/components/schemas/DateTimeUpdatedAt"},"expires_at":{"$ref":"#/components/schemas/DateTime"},"expires_on":{"$ref":"#/components/schemas/Date"}},"example":{"id":1,"domain_id":2,"name":"www","common_name":"www.weppos.net","years":1,"csr":"-----BEGIN CERTIFICATE REQUEST-----\nMIICljCCAX4CAQAwGTEXMBUGA1UEAwwOd3d3LndlcHBvcy5uZXQwggEiMA0GCSqG\nSIb3DQEBAQUAA4IBDwAwggEKAoIBAQC3MJwx9ahBG3kAwRjQdRvYZqtovUaxY6jp\nhd09975gO+2eYPDbc1yhNftVJ4KBT0zdEqzX0CwIlxE1MsnZ2YOsC7IJO531hMBp\ndBxM4tSG07xPz70AVUi9rY6YCUoJHmxoFbclpHFbtXZocR393WyzUK8047uM2mlz\n03AZKcMdyfeuo2/9TcxpTSCkklGqwqS9wtTogckaDHJDoBunAkMioGfOSMe7Yi6E\nYRtG4yPJYsDaq2yPJWV8+i0PFR1Wi5RCnPt0YdQWstHuZrxABi45+XVkzKtz3TUc\nYxrvPBucVa6uzd953u8CixNFkiOefvb/dajsv1GIwH6/Cvc1ftz1AgMBAAGgODA2\nBgkqhkiG9w0BCQ4xKTAnMCUGA1UdEQQeMByCDnd3dy53ZXBwb3MubmV0ggp3ZXBw\nb3MubmV0MA0GCSqGSIb3DQEBCwUAA4IBAQCDnVBO9RdJX0eFeZzlv5c8yG8duhKP\nl0Vl+V88fJylb/cbNj9qFPkKTK0vTXmS2XUFBChKPtLucp8+Z754UswX+QCsdc7U\nTTSG0CkyilcSubdZUERGej1XfrVQhrokk7Fu0Jh3BdT6REP0SIDTpA8ku/aRQiAp\np+h19M37S7+w/DMGDAq2LSX8jOpJ1yIokRDyLZpmwyLxutC21DXMGoJ3xZeUFrUT\nqRNwzkn2dJzgTrPkzhaXalUBqv+nfXHqHaWljZa/O0NVCFrHCdTdd53/6EE2Yabv\nq5SFTkRCpaxrvM/7a8Tr4ixD1/VKD6rw3+WC00000000000000000000\n-----END CERTIFICATE REQUEST-----\n","state":"issued","authority_identifier":"letsencrypt","created_at":"2016-06-11T18:47:08Z","updated_at":"2016-06-11T18:47:37Z","expires_at":"2016-09-09T18:47:37Z","expires_on":"2016-09-09"}},"CertificateDownload":{"type":"object","required":["server","root","chain"],"properties":{"server":{"type":"string"},"root":{"type":["string","null"]},"chain":{"type":"array","items":{"type":"string"}}},"example":{"server":"-----BEGIN CERTIFICATE-----\nMIIE7TCCA9WgAwIBAgITAPpTe4O3vjuQ9L4gLsogi/ukujANBgkqhkiG9w0BAQsF\nADAiMSAwHgYDVQQDDBdGYWtlIExFIEludGVybWVkaWF0ZSBYMTAeFw0xNjA2MTEx\nNzQ4MDBaFw0xNjA5MDkxNzQ4MDBaMBkxFzAVBgNVBAMTDnd3dy53ZXBwb3MubmV0\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAtzCcMfWoQRt5AMEY0HUb\n2GaraL1GsWOo6YXdPfe+YDvtnmDw23NcoTX7VSeCgU9M3RKs19AsCJcRNTLJ2dmD\nrAuyCTud9YTAaXQcTOLUhtO8T8+9AFVIva2OmAlKCR5saBW3JaRxW7V2aHEd/d1s\ns1CvNOO7jNppc9NwGSnDHcn3rqNv/U3MaU0gpJJRqsKkvcLU6IHJGgxyQ6AbpwJD\nIqBnzkjHu2IuhGEbRuMjyWLA2qtsjyVlfPotDxUdVouUQpz7dGHUFrLR7ma8QAYu\nOfl1ZMyrc901HGMa7zwbnFWurs3fed7vAosTRZIjnn72/3Wo7L9RiMB+vwr3NX7c\n9QIDAQABo4ICIzCCAh8wDgYDVR0PAQH/BAQDAgWgMB0GA1UdJQQWMBQGCCsGAQUF\nBwMBBggrBgEFBQcDAjAMBgNVHRMBAf8EAjAAMB0GA1UdDgQWBBRh9q/3Zxbk4yA/\nt7j+8xA+rkiZBTAfBgNVHSMEGDAWgBTAzANGuVggzFxycPPhLssgpvVoOjB4Bggr\nBgEFBQcBAQRsMGowMwYIKwYBBQUHMAGGJ2h0dHA6Ly9vY3NwLnN0Zy1pbnQteDEu\nbGV0c2VuY3J5cHQub3JnLzAzBggrBgEFBQcwAoYnaHR0cDovL2NlcnQuc3RnLWlu\ndC14MS5sZXRzZW5jcnlwdC5vcmcvMCUGA1UdEQQeMByCCndlcHBvcy5uZXSCDnd3\ndy53ZXBwb3MubmV0MIH+BgNVHSAEgfYwgfMwCAYGZ4EMAQIBMIHmBgsrBgEEAYLf\nEwEBATCB1jAmBggrBgEFBQcCARYaaHR0cDovL2Nwcy5sZXRzZW5jcnlwdC5vcmcw\ngasGCCsGAQUFBwICMIGeDIGbVGhpcyBDZXJ0aWZpY2F0ZSBtYXkgb25seSBiZSBy\nZWxpZWQgdXBvbiBieSBSZWx5aW5nIFBhcnRpZXMgYW5kIG9ubHkgaW4gYWNjb3Jk\nYW5jZSB3aXRoIHRoZSBDZXJ0aWZpY2F0ZSBQb2xpY3kgZm91bmQgYXQgaHR0cHM6\nLy9sZXRzZW5jcnlwdC5vcmcvcmVwb3NpdG9yeS8wDQYJKoZIhvcNAQELBQADggEB\nAEqMdWrmdIyQxthWsX3iHmM2h/wXwEesD0VIaA+Pq4mjwmKBkoPSmHGQ/O4v8RaK\nB6gl8v+qmvCwwqC1SkBmm+9C2yt/P6WhAiA/DD+WppYgJWfcz2lEKrgufFlHPukB\nDzE0mJDuXm09QTApWlaTZWYfWKY50T5uOT/rs+OwGFFCO/8o7v5AZRAHos6uzjvq\nAtFZj/FEnXXMjSSlQ7YKTXToVpnAYH4e3/UMsi6/O4orkVz82ZfhKwMWHV8dXlRw\ntQaemFWTjGPgSLXJAtQO30DgNJBHX/fJEaHv6Wy8TF3J0wOGpzGbOwaTX8YAmEzC\nlzzjs+clg5MN5rd1g4POJtU=\n-----END CERTIFICATE-----\n","root":null,"chain":["-----BEGIN CERTIFICATE-----\nMIIEqzCCApOgAwIBAgIRAIvhKg5ZRO08VGQx8JdhT+UwDQYJKoZIhvcNAQELBQAw\nGjEYMBYGA1UEAwwPRmFrZSBMRSBSb290IFgxMB4XDTE2MDUyMzIyMDc1OVoXDTM2\nMDUyMzIyMDc1OVowIjEgMB4GA1UEAwwXRmFrZSBMRSBJbnRlcm1lZGlhdGUgWDEw\nggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDtWKySDn7rWZc5ggjz3ZB0\n8jO4xti3uzINfD5sQ7Lj7hzetUT+wQob+iXSZkhnvx+IvdbXF5/yt8aWPpUKnPym\noLxsYiI5gQBLxNDzIec0OIaflWqAr29m7J8+NNtApEN8nZFnf3bhehZW7AxmS1m0\nZnSsdHw0Fw+bgixPg2MQ9k9oefFeqa+7Kqdlz5bbrUYV2volxhDFtnI4Mh8BiWCN\nxDH1Hizq+GKCcHsinDZWurCqder/afJBnQs+SBSL6MVApHt+d35zjBD92fO2Je56\ndhMfzCgOKXeJ340WhW3TjD1zqLZXeaCyUNRnfOmWZV8nEhtHOFbUCU7r/KkjMZO9\nAgMBAAGjgeMwgeAwDgYDVR0PAQH/BAQDAgGGMBIGA1UdEwEB/wQIMAYBAf8CAQAw\nHQYDVR0OBBYEFMDMA0a5WCDMXHJw8+EuyyCm9Wg6MHoGCCsGAQUFBwEBBG4wbDA0\nBggrBgEFBQcwAYYoaHR0cDovL29jc3Auc3RnLXJvb3QteDEubGV0c2VuY3J5cHQu\nb3JnLzA0BggrBgEFBQcwAoYoaHR0cDovL2NlcnQuc3RnLXJvb3QteDEubGV0c2Vu\nY3J5cHQub3JnLzAfBgNVHSMEGDAWgBTBJnSkikSg5vogKNhcI5pFiBh54DANBgkq\nhkiG9w0BAQsFAAOCAgEABYSu4Il+fI0MYU42OTmEj+1HqQ5DvyAeyCA6sGuZdwjF\nUGeVOv3NnLyfofuUOjEbY5irFCDtnv+0ckukUZN9lz4Q2YjWGUpW4TTu3ieTsaC9\nAFvCSgNHJyWSVtWvB5XDxsqawl1KzHzzwr132bF2rtGtazSqVqK9E07sGHMCf+zp\nDQVDVVGtqZPHwX3KqUtefE621b8RI6VCl4oD30Olf8pjuzG4JKBFRFclzLRjo/h7\nIkkfjZ8wDa7faOjVXx6n+eUQ29cIMCzr8/rNWHS9pYGGQKJiY2xmVC9h12H99Xyf\nzWE9vb5zKP3MVG6neX1hSdo7PEAb9fqRhHkqVsqUvJlIRmvXvVKTwNCP3eCjRCCI\nPTAvjV+4ni786iXwwFYNz8l3PmPLCyQXWGohnJ8iBm+5nk7O2ynaPVW0U2W+pt2w\nSVuvdDM5zGv2f9ltNWUiYZHJ1mmO97jSY/6YfdOUH66iRtQtDkHBRdkNBsMbD+Em\n2TgBldtHNSJBfB3pm9FblgOcJ0FSWcUDWJ7vO0+NTXlgrRofRT6pVywzxVo6dND0\nWzYlTWeUVsO40xJqhgUQRER9YLOLxJ0O6C8i0xFxAMKOtSdodMB3RIwt7RFQ0uyt\nn5Z5MqkYhlMI3J1tPRTp1nEt9fyGspBOO05gi148Qasp+3N+svqKomoQglNoAxU=\n-----END CERTIFICATE-----"]}},"CertificatePrivateKey":{"type":"object","required":["private_key"],"properties":{"private_key":{"type":"string"}},"example":{"private_key":"-----BEGIN RSA PRIVATE KEY-----\nMIIEowIBAAKCAQEAtzCcMfWoQRt5AMEY0HUb2GaraL1GsWOo6YXdPfe+YDvtnmDw\n23NcoTX7VSeCgU9M3RKs19AsCJcRNTLJ2dmDrAuyCTud9YTAaXQcTOLUhtO8T8+9\nAFVIva2OmAlKCR5saBW3JaRxW7V2aHEd/d1ss1CvNOO7jNppc9NwGSnDHcn3rqNv\n/U3MaU0gpJJRqsKkvcLU6IHJGgxyQ6AbpwJDIqBnzkjHu2IuhGEbRuMjyWLA2qts\njyVlfPotDxUdVouUQpz7dGHUFrLR7ma8QAYuOfl1ZMyrc901HGMa7zwbnFWurs3f\ned7vAosTRZIjnn72/3Wo7L9RiMB+vwr3NX7c9QIDAQABAoIBAEQx32OlzK34GTKT\nr7Yicmw7xEGofIGa1Q2h3Lut13whsxKLif5X0rrcyqRnoeibacS+qXXrJolIG4rP\nTl8/3wmUDQHs5J+6fJqFM+fXZUCP4AFiFzzhgsPBsVyd0KbWYYrZ0qU7s0ttoRe+\nTGjuHgIe3ip1QKNtx2Xr50YmytDydknmro79J5Gfrub1l2iA8SDm1eBrQ4SFaNQ2\nU709pHeSwX8pTihUX2Zy0ifpr0O1wYQjGLneMoG4rrNQJG/z6iUdhYczwwt1kDRQ\n4WkM2sovFOyxbBfoCQ3Gy/eem7OXfjNKUe47DAVLnPkKbqL/3Lo9FD7kcB8K87Ap\nr/vYrl0CgYEA413RAk7571w5dM+VftrdbFZ+Yi1OPhUshlPSehavro8kMGDEG5Ts\n74wEz2X3cfMxauMpMrBk/XnUCZ20AnWQClK73RB5fzPw5XNv473Tt/AFmt7eLOzl\nOcYrhpEHegtsD/ZaljlGtPqsjQAL9Ijhao03m1cGB1+uxI7FgacdckcCgYEAzkKP\n6xu9+WqOol73cnlYPS3sSZssyUF+eqWSzq2YJGRmfr1fbdtHqAS1ZbyC5fZVNZYV\nml1vfXi2LDcU0qS04JazurVyQr2rJZMTlCWVET1vhik7Y87wgCkLwKpbwamPDmlI\n9GY+fLNEa4yfAOOpvpTJpenUScxyKWH2cdYFOOMCgYBhrJnvffINC/d64Pp+BpP8\nyKN+lav5K6t3AWd4H2rVeJS5W7ijiLTIq8QdPNayUyE1o+S8695WrhGTF/aO3+ZD\nKQufikZHiQ7B43d7xL7BVBF0WK3lateGnEVyh7dIjMOdj92Wj4B6mv2pjQ2VvX/p\nAEWVLCtg24/+zL64VgxmXQKBgGosyXj1Zu2ldJcQ28AJxup3YVLilkNje4AXC2No\n6RCSvlAvm5gpcNGE2vvr9lX6YBKdl7FGt8WXBe/sysNEFfgmm45ZKOBCUn+dHk78\nqaeeQHKHdxMBy7utZWdgSqt+ZS299NgaacA3Z9kVIiSLDS4V2VeW7riujXXP/9TJ\nnxaRAoGBAMWXOfNVzfTyrKff6gvDWH+hqNICLyzvkEn2utNY9Q6WwqGuY9fvP/4Z\nXzc48AOBzUr8OeA4sHKJ79sJirOiWHNfD1swtvyVzsFZb6moiNwD3Ce/FzYCa3lQ\nU8blTH/uqpR2pSC6whzJ/lnSdqHUqhyp00000000000000000000\n-----END RSA PRIVATE KEY-----\n"}},"Contact":{"type":"object","required":["id","account_id","label","first_name","last_name","organization_name","job_title","address1","address2","city","state_province","postal_code","country","phone","fax","email","created_at","updated_at"],"properties":{"id":{"type":"integer"},"account_id":{"type":"integer"},"label":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"organization_name":{"type":"string"},"job_title":{"type":"string"},"address1":{"type":"string"},"address2":{"type":"string"},"city":{"type
[...]
